<?php

namespace WilokeFeaturedProducts\Widgets;


class RegistrationController
{
	public function __construct()
	{
		add_action('elementor/frontend/after_register_scripts', [$this, 'registerScripts']);
		add_action('elementor/frontend/after_register_styles', [$this, 'registerStyles']);

		add_action('elementor/widgets/register', [$this, 'registerWidgets']);
	}

	public function registerWidgets($oWidgetManager)
	{
		$oWidgetManager->register(new FeaturedProductsWidget());
	}

	public function registerScripts()
	{
		wp_register_script(
			"swiper-8.4.7",
			WILOKE_FEATURED_PRODUCTS_URL . 'swiper.min.js',
			["jquery"],
			"8.4.7",
			true
		);

		wp_register_script(
			WILOKE_FEATURED_PRODUCTS_ID,
			WILOKE_FEATURED_PRODUCTS_URL . 'script.js',
			["swiper-8.4.7"],
			WILOKE_FEATURED_PRODUCTS_VERSION,
			true
		);

	}

	public function registerStyles()
	{
		wp_register_style(
			"swiper-8.4.7",
			WILOKE_FEATURED_PRODUCTS_URL . 'swiper.min.css',
			[],
			"8.4.7",
		);

		wp_register_style(
			WILOKE_FEATURED_PRODUCTS_ID,
			WILOKE_FEATURED_PRODUCTS_URL . 'style.css',
			[],
			WILOKE_FEATURED_PRODUCTS_VERSION
		);
	}

	public function enqueueScriptsInElementor() {
		wp_enqueue_script("swiper");
		wp_enqueue_script(WILOKE_FEATURED_PRODUCTS_ID);
		wp_enqueue_style("swiper");
		wp_enqueue_style(WILOKE_FEATURED_PRODUCTS_ID);
	}
}
